Bug 1185016 - Review Request: gap-pkg-io - Unix I/O functionality for GAP
Summary: Review Request: gap-pkg-io - Unix I/O functionality for GAP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-22 17:28 UTC by Jerry James
Modified: 2015-02-09 05:31 UTC (History)
2 users (show)

Fixed In Version: gap-pkg-io-4.4.4-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-09 05:31:55 UTC
Type: ---
manisandro: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jerry James 2015-01-22 17:28:48 UTC
Spec URL: https://jjames.fedorapeople.org/gap-pkg-io/gap-pkg-io.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-io/gap-pkg-io-4.4.4-1.fc22.src.rpm
Fedora Account System Username: jjames
Description: This is a rename review.  The original review is bug 858287.

This GAP package provides a link to the standard UNIX I/O functionality that is available through the C library.  This part basically consists of functions on the GAP level that allow functions in the C library to be called.

Built on top of this is a layer for buffered input/output which is implemented completely in the GAP language.  It is intended to be used by programs for which it is not necessary to have full direct access to the operating system.

On this level, quite a few convenience functions are implemented for interprocess communication like starting up pipelines of processes to filter data through them and to start up processes and then communicate with them.  There is also support for creating network connections over TCP/IP and UDP.

Building on this, the package contains an implementation of the client side of the HTTP protocol making it possible among other things to access web pages from within GAP.

Another part of the package is a framework for object serialization.  That is, GAP objects can be converted into a platform-independent byte sequence which can be stored to a file or sent over the network.  The code takes complete care of arbitrarily self-referential data structures like lists containing themselves as an entry.  The resulting byte strings can be read back into GAP and the original objects are rebuilt with exactly the same self-references.  This works for most of the standard builtin types of GAP like numbers, permutations, polynomials, lists, and records and can be extended to nearly arbitrary GAP objects.

Comment 1 Sandro Mani 2015-01-24 14:57:41 UTC
All ok, approved!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find LICENSE in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/gap/pkg/io(gap-io),
     /usr/lib/gap/pkg/io/bin(gap-io), /usr/lib/gap/pkg/io/example(gap-io),
     /usr/lib/gap/pkg/io/gap(gap-io), /usr/lib/gap/pkg/io/bin/x86_64-redhat-
     linux-gnu-gcc-default64(gap-io), /usr/lib/gap/pkg/io/doc(gap-io),
     /usr/lib/gap/pkg/io/tst(gap-io)
     => Ok since it replaces the package
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gap-pkg-io-4.4.4-1.fc22.x86_64.rpm
          gap-pkg-io-4.4.4-1.fc22.src.rpm
gap-pkg-io.x86_64: W: spelling-error %description -l en_US interprocess -> inter process, inter-process, intercession
gap-pkg-io.src: W: spelling-error %description -l en_US interprocess -> inter process, inter-process, intercession
gap-pkg-io.src: W: invalid-url Source0: https://github.com/gap-system/io/releases/download/v4.4.4/io-4.4.4.tar.bz2 HTTP Error 403: Forbidden
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
gap-pkg-io.x86_64: W: spelling-error %description -l en_US interprocess -> inter process, inter-process, intercession
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
gap-pkg-io (rpmlib, GLIBC filtered):
    /usr/bin/update-gap-workspace
    gap-core
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
gap-pkg-io:
    gap-io
    gap-io(x86-64)
    gap-pkg-io
    gap-pkg-io(x86-64)



Unversioned so-files
--------------------
gap-pkg-io: /usr/lib/gap/pkg/io/bin/x86_64-redhat-linux-gnu-gcc-default64/io.so

Source checksums
----------------
https://github.com/gap-system/io/releases/download/v4.4.4/io-4.4.4.tar.bz2 :
  CHECKSUM(SHA256) this package     : ebcbf860980b264284e852a99f2233936c47461b359bea423c3a55bf975132f9
  CHECKSUM(SHA256) upstream package : ebcbf860980b264284e852a99f2233936c47461b359bea423c3a55bf975132f9


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1185016
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Jerry James 2015-01-24 18:21:12 UTC
New Package SCM Request
=======================
Package Name: gap-pkg-io
Short Description: Unix I/O functionality for GAP
Upstream URL: http://gap-system.github.io/io/
Owners: jjames
Branches: f21
InitialCC:

Comment 3 Gwyn Ciesla 2015-01-25 21:46:06 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-01-30 23:08:25 UTC
gap-pkg-io-4.4.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gap-pkg-io-4.4.4-1.fc21

Comment 5 Fedora Update System 2015-02-01 00:26:36 UTC
gap-pkg-io-4.4.4-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 6 Fedora Update System 2015-02-09 05:31:55 UTC
gap-pkg-io-4.4.4-1.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.